
QGIS Application - Feature request #21369

Sort and Filter on Groups box in Mesh Layer Styling dialog

2019-02-25 09:23 AM - Richard Duivenvoorde

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/MDAL

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 29186

Description

Currently the 'Groups' box/table in the Layer Styling dialog of a Mesh layer is a fixed layer.

Having a use-case in which the outcome of a atmospheric model for different times and for different chemicals results in several hundred

Groups, it is hard to quickly look for the right Group to view (see screenshot).

Would be great if:

- The Groups box would be sortable

- And/or even better has a filter line above it

- Bonus if more dimensional data is handled even more intelligent

When there is actually an extra dimension added, in Panoply it you select one dimension, and then the second one is a dropdown in the

map of the first dimension.

QGIS creates dim4:var1 dim4:var2 dim4:var2 dim5:var1 dim5:var2 layers, which makes this Group box explode in size in our case.

I'm happy to provide a (private) dataset if that helps.

Related issues:

Related to QGIS Application - Feature request # 20407: [mdal] Allow loading s... Open 2018-11-08

History

#1 - 2019-02-25 12:02 PM - Richard Duivenvoorde

- Category set to Data Provider/MDAL

#2 - 2019-03-01 09:24 AM - Saber Razmjooei

Also see #20407

GDAL opens the selected quantity, but mesh layer loads everything within netcdf/grib. A dialog (maybe with filtering option) can be helpful when opening

file too.

#3 - 2019-03-01 09:27 AM - Jürgen Fischer

- Related to Feature request #20407: [mdal] Allow loading selected variables/quantities from mesh layer added
